PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::solvers::FermiNew::Levels Struct Reference

`#include <solvers/gain/wasiak/ferminew.hpp>`

Collaboration diagram for plask::solvers::FermiNew::Levels:
[legend]

## Public Member Functions
| operator bool () const

## Public Attributes
double | Eg
std::unique_ptr< kubly::struktura > | bandsEc
std::unique_ptr< kubly::struktura > | bandsEvhh
std::unique_ptr< kubly::struktura > | bandsEvlh
std::unique_ptr< kubly::struktura > | modbandsEc
std::unique_ptr< kubly::struktura > | modbandsEvhh
std::unique_ptr< kubly::struktura > | modbandsEvlh
plask::shared_ptr< kubly::obszar_aktywny > | activeRegion

## Detailed Description

Definition at line 34 of file ferminew.hpp.

## Member Function Documentation

## ◆ operator bool()

plask::solvers::FermiNew::Levels::operator bool | ( |  | ) | const
| inline

Definition at line 39 of file ferminew.hpp.

## Member Data Documentation

## ◆ activeRegion

plask::shared_ptr<kubly::obszar_aktywny> plask::solvers::FermiNew::Levels::activeRegion

Definition at line 38 of file ferminew.hpp.

## ◆ bandsEc

std::unique_ptr<kubly::struktura> plask::solvers::FermiNew::Levels::bandsEc

Definition at line 36 of file ferminew.hpp.

## ◆ bandsEvhh

std::unique_ptr<kubly::struktura> plask::solvers::FermiNew::Levels::bandsEvhh

Definition at line 36 of file ferminew.hpp.

## ◆ bandsEvlh

std::unique_ptr<kubly::struktura> plask::solvers::FermiNew::Levels::bandsEvlh

Definition at line 36 of file ferminew.hpp.

## ◆ Eg

double plask::solvers::FermiNew::Levels::Eg

Definition at line 35 of file ferminew.hpp.

## ◆ modbandsEc

std::unique_ptr<kubly::struktura> plask::solvers::FermiNew::Levels::modbandsEc

Definition at line 37 of file ferminew.hpp.

## ◆ modbandsEvhh

std::unique_ptr<kubly::struktura> plask::solvers::FermiNew::Levels::modbandsEvhh

Definition at line 37 of file ferminew.hpp.

## ◆ modbandsEvlh

std::unique_ptr<kubly::struktura> plask::solvers::FermiNew::Levels::modbandsEvlh

Definition at line 37 of file ferminew.hpp.

The documentation for this struct was generated from the following file:

- solvers/gain/wasiak/ferminew.hpp